Subject: Re: gitosis: how to create absolutely empty repos

From: "Lasse Kliemann" <[email-masked]>
Date: Thu, 26 Feb 2009 11:54:20 +0000 (UTC)

Thomas Rast <[email-masked]> writes:

Thank you for your reply!

> You can do "anything" to the repository and gitosis will create it.
> For example, doing an invalid push will work (you'll need to do this
> in a git repository to make git-push happy, but it doesn't matter what
> it contains):
> 
>  git push [email-masked]:repo.git :master
> 
> Note that _cloning_ such a repository is only possible since 86ac751
> (Allow cloning an empty repository, 2009-01-23), which is not in any
> released version yet, but will be in 1.6.2.

Not sure if it's the same, but cloning a local repository just initialized 
with 'git init' seems to work; it only gives a warning: "warning: remote HEAD 
refers to nonexistent ref, unable to checkout." Using git version 1.6.1.3.